Skip site navigation (1) Skip section navigation (2)

Re: Pregunta de instalacion

From: Alvaro Herrera <alvherre(at)commandprompt(dot)com>
To: Edwin Quijada <listas_quijada(at)hotmail(dot)com>
Cc: jisler(at)minrel(dot)gov(dot)cl, pgsql-es-ayuda(at)postgresql(dot)org
Subject: Re: Pregunta de instalacion
Date: 2005-11-24 11:18:54
Message-ID: 20051124111854.GA2113@surnet.cl (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
J. Isler escribió:

> >Hola lista como están espero que bien, les paso a contar mi
> >problema...
> >
> >En una maquina de prueba que tengo tenia corriendo un postgresql 7.3
> >
> >Trate de actualizarlo a 8.0.3 y baje los rpm de la pagina oficial
> >después de todo el
> >
> >Proceso me dispuse a subir el servidor y me salio este mensaje
> >
> >            An old version of the database format was found.
> >
> >You need to upgrade the data format before using PostgreSQL.

El asunto es el siguiente: no se promete compatibilidad de los archivos
de datos entre versiones mayores de Postgres.  Con "versiones mayores"
me refiero a los dos primeros numeros de la version.  Entre versiones
menores, es decir dos versiones donde solo el tercer digito del numero
de version cambia, sí se promete esta compatibilidad.  Por lo tanto,
para hacer upgrade entre 7.4.2 y 7.4.8 (por ej.) no se requiere un
dump/reload; pero para pasarte a una version de la linea 8.0 si se
requiere, asi como para pasarte a 8.1.

Lo que puedes hacer, ya no que no hiciste un volcado de datos antes, es
instalar nuevamente la version 7.3, luego hacer un dump y guardarlo en
un lugar seguro; instalas 8.0 y recuperar el dump.

Un consejo es que uses el pg_dump de la version mas nueva: es decir
instala ambas versiones juntas (es facil de hacer si instalas una de
ellas desde fuentes), echas a andar el servidor de 7.3 y usas el pg_dump
de 8.0.  El motivo es que es mucho mas sencillo usar un dump generado
por una version mas nueva porque pg_dump es mucho mas inteligente.
_Pero_ observa que un dump generado con pg_dump-8.0 no puedes cargarlo
en un servidor 7.3 (pero si en 8.1, por ejemplo).

-- 
Alvaro Herrera                                http://www.CommandPrompt.com/
The PostgreSQL Company - Command Prompt, Inc.

In response to

pgsql-es-ayuda by date

Next:From: Jaime CasanovaDate: 2005-11-24 14:16:31
Subject: Re: Pregunta de instalacion
Previous:From: Sergio TrujilloDate: 2005-11-24 10:14:57
Subject: Prof. Curso Avanzado PostgreSQL España

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group